void printi(int val);

int main()
{
  char a;
  unsigned char b;
  int i;

  for (a = -80; a <= 80; a += 40) {
    for (b = -30; (char)b <= 30; b += 10) {
      i = a << b; printi(i);
      i = a >> b; printi(i);
    }
  }

  return 0;
}
